#!/bin/sh
set -e
alias log='echo [post_install.sh]'


ROOT=/mnt/archinstall


log "altering linux confs"
    cp content/sudoers       "$ROOT/etc/sudoers"
    cp content/pacman.conf   "$ROOT/etc/pacman.conf"


log "configuring network"
    mkdir -p                 "$ROOT/etc/systemd/network"
    cp content/wired.network "$ROOT/etc/systemd/network/20-wired.network"
    echo "
        sudo systemctl enable systemd-networkd.service
    " | arch-chroot "$ROOT" su user


log "installing paru"
    echo "
        cd /tmp
        git clone https://aur.archlinux.org/paru-bin.git
        cd paru-bin
        makepkg -si
    " | arch-chroot "$ROOT" su user
    cp content/paru.conf "$ROOT/etc/paru.conf"


log "installing extra packages"
    echo "
        paru -S --no-confirm tealdeer
    " | arch-chroot "$ROOT" su user
